.\" $Id: tkmap.man,v 1.1 1996/05/13 19:11:51 humberto Exp $
.\" Manual page for tkmap.tcl script.
.\" Copyright (C) 1996 Humberto Ortiz Zuazaga and Rosemarie Plaetke.
.\" See the file README.html for licence information.
.\"
.TH TKMAP 1 "1996/03/28"
.SH NAME
tkmap \- a bioTk program for drawing publication quality genetic maps.
.SH SYNOPSIS
.B tkmap
.I [Tk options]
.SH DESCRIPTION
.B tkmap
is a 
.B bioTk
script for drawing and printing high quality output of
genetic maps.
.B tkmap
reads in a framework map file and a confidence interval file in
a simple text format and draws the implied map on a Tk canvas.  This
canvas may be resized, and the font used for drawing the marker labels
changed.  You can also generate encapsulated postscript from the map,
either for printing or importing into a word processing package.
.SH OPTIONS
tkmap may understand the usual Tk options, it doesn't yet have any
options of it's own.
.SH "FILE FORMATS"
.SS "FRAMEWORK FILE"
The framework map file lists the linear map markers one per line, in
the correct map order.  After each marker (except the last) list the
distance from the marker to the next.  Comment lines beginning with a
``#'' character and blank lines are ignored.  Marker names ending with
the ``*'' character are considered to be framework markers and are
printed in boldface.

.nf
# This is a comment
#
EG0001*    0.076
EG0002*    0.048
EG0003    0.073
EG0004    0.024
EG0005*    0.117
EG0006    0.058

EG0007    0.35
EG0008*    0.091
EG0009    0.150
EG0010    0.199
EG0011*    0.026
EG0012    0.183
EG0013*	
.fi

.SS "CONFIDENCE INTERVAL FILE"
The confidence interval map file also has a list of markers, but
instead of each marker being associated with a distance, it is instead
associated with an interval between two markers on the framework map.
List the two framework map markers at the extremes of the interval to
which the new marker is associated.

If several markers are associated to the same interval, you can
specify all their names between quotes as the first item in a line.

.nf
# this is a comment.

EG0014	EG0001 EG0008
EG0015	EG0001 EG0003
EG0016	EG0003 EG0010
EG0017	EG0009 EG0013
EG0018	EG0005 EG0007
EG0019	EG0008 EG0012
EG0020	EG0004 EG0008
EG0021	EG0001 EG0007
EG0022	EG0008 EG0011

"EG0023, EG0024"	EG0001 EG0006

"EG0025, EG0026, EG0027, EG0028, EG0029"	EG0010 EG0013
.fi

.SH BUGS  
.B tkmap
hardly does any checking of its input data.
.SH SEE ALSO
.I bioTk(1)
.SH AUTHOR
Humberto Ortiz Zuazaga, University of Texas Health Science Center at
San Antonio.
Internet address \fBhumberto@momo.uthscsa.edu\fP.
Rosemarie Plaetke,  University of Texas Health Science Center at
San Antonio.
Internet address \fBplaetke@uthscsa.edu\fP.
